JUCE: GridItem::Property Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GridItem::Property Struct Reference
juce_gui_basics » layout

Represents a property. More...

`#include <juce_GridItem.h>`

## Public Member Functions
| Property () noexcept
| Property (Keyword keyword) noexcept
| Property (const char *lineNameToUse) noexcept
| Property (const String &lineNameToUse) noexcept
| Property (int numberToUse) noexcept
| Property (int numberToUse, const String &lineNameToUse) noexcept
| Property (Span spanToUse) noexcept
bool | hasSpan () const noexcept
bool | hasAbsolute () const noexcept
bool | hasAuto () const noexcept
bool | hasName () const noexcept
const String & | getName () const noexcept
int | getNumber () const noexcept

## Detailed Description

Represents a property.

## Constructor & Destructor Documentation

## ◆ Property() [1/7]

GridItem::Property::Property | ( |  | ) |
| noexcept

## ◆ Property() [2/7]

GridItem::Property::Property | ( | Keyword | keyword | ) |
| noexcept

## ◆ Property() [3/7]

GridItem::Property::Property | ( | const char * | lineNameToUse | ) |
| noexcept

## ◆ Property() [4/7]

GridItem::Property::Property | ( | const String & | lineNameToUse | ) |
| noexcept

## ◆ Property() [5/7]

GridItem::Property::Property | ( | int | numberToUse | ) |
| noexcept

## ◆ Property() [6/7]

GridItem::Property::Property | ( | int | numberToUse,
|  | const String & | lineNameToUse
| ) |  |
| noexcept

## ◆ Property() [7/7]

GridItem::Property::Property | ( | Span | spanToUse | ) |
| noexcept

## Member Function Documentation

## ◆ hasSpan()

bool GridItem::Property::hasSpan | ( |  | ) | const
| noexcept

## ◆ hasAbsolute()

bool GridItem::Property::hasAbsolute | ( |  | ) | const
| noexcept

## ◆ hasAuto()

bool GridItem::Property::hasAuto | ( |  | ) | const
| noexcept

## ◆ hasName()

bool GridItem::Property::hasName | ( |  | ) | const
| noexcept

References name.

## ◆ getName()

const String & GridItem::Property::getName | ( |  | ) | const
| noexcept

References name.

## ◆ getNumber()

int GridItem::Property::getNumber | ( |  | ) | const
| noexcept

The documentation for this struct was generated from the following file:

- juce_GridItem.h